openmemory
Docs
Records

Query records by status, key, or due date

GET
/v1/collections/{collection}/records

Ordered by due date (undated last), then creation. Page with next_cursor.

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

collection*string

Collection name, e.g. commitments, goals, routines.

Match^[A-Za-z0-9][A-Za-z0-9_.-]*$
Length1 <= length <= 64

Query Parameters

status?string

Comma-separated statuses.

Lengthlength <= 200
key?string
Lengthlength <= 200
due_before?string
Formatdate-time
limit?integer
Range1 <= value <= 100
Default50
cursor?string

Response Body

Records

application/json
  1. response
records*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.openmemory.sh/v1/collections/string/records'
Example Response
{  "records": [    {      "id": "string",      "collection": "string",      "key": "string",      "status": "string",      "due_at": "string",      "data": {        "property1": null,        "property2": null      },      "origin": "user",      "version": 0,      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string"}